%define upstream_name    JSON-PP
%define upstream_version 2.27400

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dummy module providing JSON::PP::Boolean
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

Conflicts: perl-devel < 5.14.0-4

%description
This module is the JSON::XS manpage compatible pure Perl module.

JSON::XS is the fastest and most proper JSON module on CPAN. It is written
in C.

JSON::PP is a pure-Perl module and has compatibility to JSON::XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std
# bug#1756 - prevent conflict with JSON::PP shipped with perl
mv %{buildroot}/%{_bindir}/json_pp %{buildroot}/%{_bindir}/json_pp-%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/json_pp.1 %{buildroot}/%{_mandir}/man1/json_pp-%{upstream_version}.1

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.274.0-2.mga6
+ Revision: 1028860
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 2.274.0-1.mga6
+ Revision: 1007887
- update to 2.27400

* Thu Feb 18 2016 umeabot <umeabot> 2.273.0-2.mga6
+ Revision: 965732
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 2.273.0-1.mga6
+ Revision: 836962
- update to 2.27300

* Sat Oct 18 2014 umeabot <umeabot> 2.272.30-4.mga5
+ Revision: 787828
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.272.30-3.mga5
+ Revision: 746983
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.272.30-2.mga5
+ Revision: 685143
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 2.272.30-1.mga5
+ Revision: 585140
- update to 2.27203

* Sat Oct 19 2013 umeabot <umeabot> 2.272.20-2.mga4
+ Revision: 526251
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 2.272.20-1.mga4
+ Revision: 436401
- update to 2.27202

* Sun Jan 13 2013 umeabot <umeabot> 2.272.0-3.mga3
+ Revision: 368770
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 2.272.0-2.mga2
+ Revision: 162958
- owning files, not dirs
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 2.272.0-1.mga2
+ Revision: 112062
- update to 2.27200

* Mon Jun 13 2011 tv <tv> 2.271.50-4.mga2
+ Revision: 105813
- description != requires|author|license tags or INSTALL file

* Mon Jun 13 2011 jquelin <jquelin> 2.271.50-3.mga2
+ Revision: 105782
- force upgrade at the same time than perl

* Sun Jun 12 2011 jquelin <jquelin> 2.271.50-2.mga2
+ Revision: 104596
- bug#1756 - prevent conflict with json_pp shipped with perl

* Wed Mar 09 2011 jquelin <jquelin> 2.271.50-1.mga1
+ Revision: 66989
- update to 2.27105

* Sat Feb 26 2011 jquelin <jquelin> 2.271.40-1.mga1
+ Revision: 60681
- update to 2.27104

* Fri Jan 21 2011 jquelin <jquelin> 2.271.30-1.mga1
+ Revision: 28685
- fix %%files
- mageia rebuild
- imported package perl-JSON-PP


* Sat Jan 15 2011 cpan2dist 2.27103-1mdv
- initial mdv release, generated with cpan2dist
